Create or update store settings by altId and altType.

http
POST https://services.leadconnectorhq.com/store/store-setting

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
shippingOriginobjectYesShipping origin address
storeOrderNotificationobjectNoStore order notification email
storeOrderFulfillmentNotificationobjectNoStore order fulfillment notification email

Responses

201 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

  • data (object, required): Shipping carrier data

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/store/store-setting' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account"
}'

Last updated October 26, 2026

Was this page helpful?